Subject: Re: [PATCH] t1300: use test helpers instead of shell primitives

From: Junio C Hamano <[email-masked]>
Date: Sun, 04 Jan 2026 11:39:42 +0900

[email-masked] writes:

> From: Pushkar Singh <[email-masked]>
>
> Replace plain "test -f" checks with "test_path_is_file" and symbolic
> link checks with "test_path_is_symlink". The test framework helpers
> provide clearer diagnostics and better consistency across the test
> suite.

The "test" is often implemented as a built-in utility in a shell,
but not necessarily so.  Either way, it is not correct to call it
"shell primitive", as unlike "if", "for", it is not.